diff --git a/deskutils/akonadiconsole/pkg-plist b/deskutils/akonadiconsole/pkg-plist
index 0d1bd6fc358c..bf88ad04cb30 100644
--- a/deskutils/akonadiconsole/pkg-plist
+++ b/deskutils/akonadiconsole/pkg-plist
@@ -1,5 +1,5 @@
 bin/akonadiconsole
-lib/libakonadiconsole.so.5
+lib/libakonadiconsole.so.6
 lib/libakonadiconsole.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 share/applications/org.kde.akonadiconsole.desktop
 share/icons/hicolor/128x128/apps/akonadiconsole.png
@@ -9,15 +9,20 @@ share/icons/hicolor/256x256/apps/akonadiconsole.png
 share/icons/hicolor/32x32/apps/akonadiconsole.png
 share/icons/hicolor/48x48/apps/akonadiconsole.png
 share/icons/hicolor/64x64/apps/akonadiconsole.png
+share/locale/ast/LC_MESSAGES/akonadiconsole.mo
 share/locale/ca/LC_MESSAGES/akonadiconsole.mo
 share/locale/ca@valencia/LC_MESSAGES/akonadiconsole.mo
 share/locale/cs/LC_MESSAGES/akonadiconsole.mo
 share/locale/de/LC_MESSAGES/akonadiconsole.mo
+share/locale/el/LC_MESSAGES/akonadiconsole.mo
 share/locale/en_GB/LC_MESSAGES/akonadiconsole.mo
+share/locale/eo/LC_MESSAGES/akonadiconsole.mo
 share/locale/es/LC_MESSAGES/akonadiconsole.mo
 share/locale/eu/LC_MESSAGES/akonadiconsole.mo
 share/locale/fi/LC_MESSAGES/akonadiconsole.mo
 share/locale/fr/LC_MESSAGES/akonadiconsole.mo
+share/locale/gl/LC_MESSAGES/akonadiconsole.mo
+share/locale/he/LC_MESSAGES/akonadiconsole.mo
 share/locale/hu/LC_MESSAGES/akonadiconsole.mo
 share/locale/ia/LC_MESSAGES/akonadiconsole.mo
 share/locale/it/LC_MESSAGES/akonadiconsole.mo
@@ -25,9 +30,12 @@ share/locale/ja/LC_MESSAGES/akonadiconsole.mo
 share/locale/ka/LC_MESSAGES/akonadiconsole.mo
 share/locale/ko/LC_MESSAGES/akonadiconsole.mo
 share/locale/lt/LC_MESSAGES/akonadiconsole.mo
+share/locale/lv/LC_MESSAGES/akonadiconsole.mo
 share/locale/nl/LC_MESSAGES/akonadiconsole.mo
 share/locale/pl/LC_MESSAGES/akonadiconsole.mo
 share/locale/pt/LC_MESSAGES/akonadiconsole.mo
+share/locale/pt_BR/LC_MESSAGES/akonadiconsole.mo
+share/locale/ro/LC_MESSAGES/akonadiconsole.mo
 share/locale/ru/LC_MESSAGES/akonadiconsole.mo
 share/locale/sk/LC_MESSAGES/akonadiconsole.mo
 share/locale/sl/LC_MESSAGES/akonadiconsole.mo
@@ -35,5 +43,6 @@ share/locale/sv/LC_MESSAGES/akonadiconsole.mo
 share/locale/tr/LC_MESSAGES/akonadiconsole.mo
 share/locale/uk/LC_MESSAGES/akonadiconsole.mo
 share/locale/zh_CN/LC_MESSAGES/akonadiconsole.mo
-share/qlogging-categories5/akonadiconsole.categories
-share/qlogging-categories5/akonadiconsole.renamecategories
+share/locale/zh_TW/LC_MESSAGES/akonadiconsole.mo
+share/qlogging-categories6/akonadiconsole.categories
+share/qlogging-categories6/akonadiconsole.renamecategories
diff --git a/deskutils/akregator/Makefile b/deskutils/akregator/Makefile
index 5286c330c52b..1a67eb946924 100644
--- a/deskutils/akregator/Makefile
+++ b/deskutils/akregator/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	akregator
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -13,21 +12,21 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib desktop-file-utils gettext grantlee:5 \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib desktop-file-utils gettext kde:6 qt:6 \
+		tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
 		i18n iconthemes itemmodels jobwidgets kcmutils kio \
-		notifications notifyconfig parts service solid sonnet texteditor\
-		textwidgets widgetsaddons windowsystem xmlgui \
+		notifications notifyconfig parts service solid sonnet \
+		statusnotifieritem texteditor textwidgets widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadimime contacts grantleetheme kontactinterface \
-		libkdepim libkleo messagelib mime pimcommon pimtextedit syndication
-USE_QT=		concurrent core dbus declarative gui location network printsupport \
-		webchannel webengine widgets xml \
-		buildtools:build qmake:build
+		libkdepim libkleo messagelib mime pimcommon pimtextedit \
+		syndication
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/akregator/distinfo b/deskutils/akregator/distinfo
index fa2a0a526658..e45a7eb2df7e 100644
--- a/deskutils/akregator/distinfo
+++ b/deskutils/akregator/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889443
-SHA256 (KDE/release-service/23.08.5/akregator-23.08.5.tar.xz) = 52371f872a56d4fb98b54f80ee5659c59ba6ab6ca8ffa5e8fbd54c49f868028b
-SIZE (KDE/release-service/23.08.5/akregator-23.08.5.tar.xz) = 2324604
+TIMESTAMP = 1734460038
+SHA256 (KDE/release-service/24.12.0/akregator-24.12.0.tar.xz) = 4828565f78a4c9439d41943e87ab3415468a60ec493883a3596b9bcd70230c1e
+SIZE (KDE/release-service/24.12.0/akregator-24.12.0.tar.xz) = 2134208
diff --git a/deskutils/akregator/pkg-plist b/deskutils/akregator/pkg-plist
index 0423d8f93fd6..42359cd079dd 100644
--- a/deskutils/akregator/pkg-plist
+++ b/deskutils/akregator/pkg-plist
@@ -1,22 +1,18 @@
 bin/akregator
 bin/akregatorstorageexporter
-lib/libakregatorinterfaces.so.5
+lib/libakregatorinterfaces.so.6
 lib/libakregatorinterfaces.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libakregatorprivate.so.5
+lib/libakregatorprivate.so.6
 lib/libakregatorprivate.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/akregatorpart.so
-%%QT_PLUGINDIR%%/pim5/kcms/akregator/akregator_config_advanced.so
-%%QT_PLUGINDIR%%/pim5/kcms/akregator/akregator_config_appearance.so
-%%QT_PLUGINDIR%%/pim5/kcms/akregator/akregator_config_archive.so
-%%QT_PLUGINDIR%%/pim5/kcms/akregator/akregator_config_browser.so
-%%QT_PLUGINDIR%%/pim5/kcms/akregator/akregator_config_general.so
-%%QT_PLUGINDIR%%/pim5/kcms/akregator/akregator_config_plugins.so
-%%QT_PLUGINDIR%%/pim5/kcms/akregator/akregator_config_security.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_akregatorplugin.so
-%%DATADIR%%/grantleetheme/5.2/combinedview.html
-%%DATADIR%%/grantleetheme/5.2/defaultnormalvisitfeed.html
-%%DATADIR%%/grantleetheme/5.2/defaultnormalvisitfolder.html
-%%DATADIR%%/grantleetheme/5.2/normalview.html
+%%QT_PLUGINDIR%%/pim6/kcms/akregator/akregator_config_advanced.so
+%%QT_PLUGINDIR%%/pim6/kcms/akregator/akregator_config_appearance.so
+%%QT_PLUGINDIR%%/pim6/kcms/akregator/akregator_config_archive.so
+%%QT_PLUGINDIR%%/pim6/kcms/akregator/akregator_config_browser.so
+%%QT_PLUGINDIR%%/pim6/kcms/akregator/akregator_config_general.so
+%%QT_PLUGINDIR%%/pim6/kcms/akregator/akregator_config_plugins.so
+%%QT_PLUGINDIR%%/pim6/kcms/akregator/akregator_config_security.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_akregatorplugin.so
 share/applications/org.kde.akregator.desktop
 share/config.kcfg/akregator.kcfg
 share/dbus-1/interfaces/org.kde.akregator.part.xml
@@ -28,8 +24,9 @@ share/icons/hicolor/32x32/apps/akregator.png
 share/icons/hicolor/48x48/apps/akregator.png
 share/icons/hicolor/64x64/apps/akregator.png
 share/icons/hicolor/scalable/apps/akregator.svg
-share/knotifications5/akregator.notifyrc
+share/knotifications6/akregator.notifyrc
 share/locale/ar/LC_MESSAGES/akregator.mo
+share/locale/ast/LC_MESSAGES/akregator.mo
 share/locale/az/LC_MESSAGES/akregator.mo
 share/locale/be/LC_MESSAGES/akregator.mo
 share/locale/bg/LC_MESSAGES/akregator.mo
@@ -103,5 +100,5 @@ share/locale/vi/LC_MESSAGES/akregator.mo
 share/locale/zh_CN/LC_MESSAGES/akregator.mo
 share/locale/zh_TW/LC_MESSAGES/akregator.mo
 share/metainfo/org.kde.akregator.appdata.xml
-share/qlogging-categories5/akregator.categories
-share/qlogging-categories5/akregator.renamecategories
+share/qlogging-categories6/akregator.categories
+share/qlogging-categories6/akregator.renamecategories
diff --git a/deskutils/grantlee-editor/Makefile b/deskutils/grantlee-editor/Makefile
index 30af02adb651..f06926d5a040 100644
--- a/deskutils/grantlee-editor/Makefile
+++ b/deskutils/grantlee-editor/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	grantlee-editor
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -13,21 +12,18 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	archive attica auth codecs completion config configwidgets \
-		coreaddons crash dbusaddons i18n itemmodels jobwidgets \
-		kio newstuff service solid syntaxhighlighting texteditor \
+		coreaddons crash dbusaddons i18n itemmodels jobwidgets kio \
+		newstuff service solid syntaxhighlighting texteditor \
 		widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicontacts akonadimime contacts grantleetheme \
 		libkleo messagelib mime pimcommon pimtextedit
-USE_QT=		concurrent core dbus declarative gui location network \
-		printsupport webchannel webengine widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/grantlee-editor/distinfo b/deskutils/grantlee-editor/distinfo
index 0aed4f21a3da..7528246ebee9 100644
--- a/deskutils/grantlee-editor/distinfo
+++ b/deskutils/grantlee-editor/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889449
-SHA256 (KDE/release-service/23.08.5/grantlee-editor-23.08.5.tar.xz) = 32cdd5850eaf60f612a7c289afa3ce371847631a31082b8164cd9b57d7290a8c
-SIZE (KDE/release-service/23.08.5/grantlee-editor-23.08.5.tar.xz) = 117568
+TIMESTAMP = 1734460040
+SHA256 (KDE/release-service/24.12.0/grantlee-editor-24.12.0.tar.xz) = 65357fefd24610395b7644c5359c75860739a83825bc47188b00f007929b0bc7
+SIZE (KDE/release-service/24.12.0/grantlee-editor-24.12.0.tar.xz) = 124352
diff --git a/deskutils/grantlee-editor/pkg-plist b/deskutils/grantlee-editor/pkg-plist
index 8789703579f6..0fe94fe640a8 100644
--- a/deskutils/grantlee-editor/pkg-plist
+++ b/deskutils/grantlee-editor/pkg-plist
@@ -1,7 +1,7 @@
 bin/contactprintthemeeditor
 bin/contactthemeeditor
 bin/headerthemeeditor
-lib/libgrantleethemeeditor.so.5
+lib/libgrantleethemeeditor.so.6
 lib/libgrantleethemeeditor.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 share/applications/org.kde.contactprintthemeeditor.desktop
 share/applications/org.kde.contactthemeeditor.desktop
@@ -11,6 +11,10 @@ share/locale/ar/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/ar/LC_MESSAGES/contactthemeeditor.mo
 share/locale/ar/LC_MESSAGES/headerthemeeditor.mo
 share/locale/ar/LC_MESSAGES/libgrantleethemeeditor.mo
+share/locale/ast/LC_MESSAGES/contactprintthemeeditor.mo
+share/locale/ast/LC_MESSAGES/contactthemeeditor.mo
+share/locale/ast/LC_MESSAGES/headerthemeeditor.mo
+share/locale/ast/LC_MESSAGES/libgrantleethemeeditor.mo
 share/locale/bg/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/bg/LC_MESSAGES/contactthemeeditor.mo
 share/locale/bg/LC_MESSAGES/headerthemeeditor.mo
@@ -44,6 +48,10 @@ share/locale/en_GB/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/en_GB/LC_MESSAGES/contactthemeeditor.mo
 share/locale/en_GB/LC_MESSAGES/headerthemeeditor.mo
 share/locale/en_GB/LC_MESSAGES/libgrantleethemeeditor.mo
+share/locale/eo/LC_MESSAGES/contactprintthemeeditor.mo
+share/locale/eo/LC_MESSAGES/contactthemeeditor.mo
+share/locale/eo/LC_MESSAGES/headerthemeeditor.mo
+share/locale/eo/LC_MESSAGES/libgrantleethemeeditor.mo
 share/locale/es/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/es/LC_MESSAGES/contactthemeeditor.mo
 share/locale/es/LC_MESSAGES/headerthemeeditor.mo
@@ -68,6 +76,11 @@ share/locale/gl/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/gl/LC_MESSAGES/contactthemeeditor.mo
 share/locale/gl/LC_MESSAGES/headerthemeeditor.mo
 share/locale/gl/LC_MESSAGES/libgrantleethemeeditor.mo
+share/locale/he/LC_MESSAGES/contactprintthemeeditor.mo
+share/locale/he/LC_MESSAGES/contactthemeeditor.mo
+share/locale/he/LC_MESSAGES/headerthemeeditor.mo
+share/locale/he/LC_MESSAGES/libgrantleethemeeditor.mo
+share/locale/hu/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/hu/LC_MESSAGES/contactthemeeditor.mo
 share/locale/hu/LC_MESSAGES/headerthemeeditor.mo
 share/locale/hu/LC_MESSAGES/libgrantleethemeeditor.mo
@@ -147,6 +160,7 @@ share/locale/sv/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/sv/LC_MESSAGES/contactthemeeditor.mo
 share/locale/sv/LC_MESSAGES/headerthemeeditor.mo
 share/locale/sv/LC_MESSAGES/libgrantleethemeeditor.mo
+share/locale/ta/LC_MESSAGES/libgrantleethemeeditor.mo
 share/locale/tr/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/tr/LC_MESSAGES/contactthemeeditor.mo
 share/locale/tr/LC_MESSAGES/headerthemeeditor.mo
@@ -166,5 +180,5 @@ share/locale/zh_TW/LC_MESSAGES/contactprintthemeeditor.mo
 share/locale/zh_TW/LC_MESSAGES/contactthemeeditor.mo
 share/locale/zh_TW/LC_MESSAGES/headerthemeeditor.mo
 share/locale/zh_TW/LC_MESSAGES/libgrantleethemeeditor.mo
-share/qlogging-categories5/grantleeditor.categories
-share/qlogging-categories5/grantleeditor.renamecategories
+share/qlogging-categories6/grantleeditor.categories
+share/qlogging-categories6/grantleeditor.renamecategories
diff --git a/deskutils/grantleetheme/Makefile b/deskutils/grantleetheme/Makefile
index 77caffb2e6c9..4847b89cb9f2 100644
--- a/deskutils/grantleetheme/Makefile
+++ b/deskutils/grantleetheme/Makefile
@@ -8,13 +8,12 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 \
-		pkgconfig qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 pkgconfig qt:6 tar:xz
 USE_KDE=	attica auth codecs config configwidgets coreaddons guiaddons \
-		i18n iconthemes newstuff service widgetsaddons xmlgui \
+		i18n iconthemes newstuff service texttemplate widgetsaddons \
+		xmlgui \
 		ecm:build
-USE_QT=		core dbus gui network testlib widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/deskutils/grantleetheme/distinfo b/deskutils/grantleetheme/distinfo
index cf635cd4f24d..cd57239b092d 100644
--- a/deskutils/grantleetheme/distinfo
+++ b/deskutils/grantleetheme/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889442
-SHA256 (KDE/release-service/23.08.5/grantleetheme-23.08.5.tar.xz) = 686381b3a0fb0d28e415f9fc9a66633d3c17e75fc2696bf486491bdb3ff242f5
-SIZE (KDE/release-service/23.08.5/grantleetheme-23.08.5.tar.xz) = 63212
+TIMESTAMP = 1734460041
+SHA256 (KDE/release-service/24.12.0/grantleetheme-24.12.0.tar.xz) = 21e566e19782f888d67026141991743cb144ded7d11b2f9c060e445a9fce07fb
+SIZE (KDE/release-service/24.12.0/grantleetheme-24.12.0.tar.xz) = 63504
diff --git a/deskutils/grantleetheme/pkg-plist b/deskutils/grantleetheme/pkg-plist
index dfff403ea984..158ac266ea84 100644
--- a/deskutils/grantleetheme/pkg-plist
+++ b/deskutils/grantleetheme/pkg-plist
@@ -1,78 +1,82 @@
-include/KPim5/GrantleeTheme/GrantleeTheme/GenericFormatter
-include/KPim5/GrantleeTheme/GrantleeTheme/GrantleeKi18nLocalizer
-include/KPim5/GrantleeTheme/GrantleeTheme/GrantleeTheme
-include/KPim5/GrantleeTheme/GrantleeTheme/GrantleeThemeEngine
-include/KPim5/GrantleeTheme/GrantleeTheme/GrantleeThemeManager
-include/KPim5/GrantleeTheme/GrantleeTheme/QtResourceTemplateLoader
-include/KPim5/GrantleeTheme/grantleetheme/GenericFormatter
-include/KPim5/GrantleeTheme/grantleetheme/GrantleeKi18nLocalizer
-include/KPim5/GrantleeTheme/grantleetheme/GrantleeTheme
-include/KPim5/GrantleeTheme/grantleetheme/GrantleeThemeEngine
-include/KPim5/GrantleeTheme/grantleetheme/GrantleeThemeManager
-include/KPim5/GrantleeTheme/grantleetheme/QtResourceTemplateLoader
-include/KPim5/GrantleeTheme/grantleetheme/genericformatter.h
-include/KPim5/GrantleeTheme/grantleetheme/grantleeki18nlocalizer.h
-include/KPim5/GrantleeTheme/grantleetheme/grantleetheme.h
-include/KPim5/GrantleeTheme/grantleetheme/grantleetheme_export.h
-include/KPim5/GrantleeTheme/grantleetheme/grantleethemeengine.h
-include/KPim5/GrantleeTheme/grantleetheme/grantleethememanager.h
-include/KPim5/GrantleeTheme/grantleetheme/qtresourcetemplateloader.h
-include/KPim5/GrantleeTheme/grantleetheme_version.h
-lib/cmake/KPim5GrantleeTheme/KPim5GrantleeThemeConfig.cmake
-lib/cmake/KPim5GrantleeTheme/KPim5GrantleeThemeConfigVersion.cmake
-lib/cmake/KPim5GrantleeTheme/KPim5GrantleeThemeTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5GrantleeTheme/KPim5GrantleeThemeTargets.cmake
-lib/grantlee/%%GRANTLEE_VERSION_SHORT%%/kde_grantlee_plugin.so
-lib/libKPim5GrantleeTheme.so
-lib/libKPim5GrantleeTheme.so.5
-lib/libKPim5GrantleeTheme.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_GrantleeTheme.pri
-share/locale/ar/LC_MESSAGES/libgrantleetheme.mo
-share/locale/bg/LC_MESSAGES/libgrantleetheme.mo
-share/locale/bs/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ca/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ca@valencia/LC_MESSAGES/libgrantleetheme.mo
-share/locale/cs/LC_MESSAGES/libgrantleetheme.mo
-share/locale/da/LC_MESSAGES/libgrantleetheme.mo
-share/locale/de/LC_MESSAGES/libgrantleetheme.mo
-share/locale/el/LC_MESSAGES/libgrantleetheme.mo
-share/locale/en_GB/LC_MESSAGES/libgrantleetheme.mo
-share/locale/eo/LC_MESSAGES/libgrantleetheme.mo
-share/locale/es/LC_MESSAGES/libgrantleetheme.mo
-share/locale/et/LC_MESSAGES/libgrantleetheme.mo
-share/locale/eu/LC_MESSAGES/libgrantleetheme.mo
-share/locale/fi/LC_MESSAGES/libgrantleetheme.mo
-share/locale/fr/LC_MESSAGES/libgrantleetheme.mo
-share/locale/gl/LC_MESSAGES/libgrantleetheme.mo
-share/locale/hi/LC_MESSAGES/libgrantleetheme.mo
-share/locale/hu/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ia/LC_MESSAGES/libgrantleetheme.mo
-share/locale/it/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ja/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ka/LC_MESSAGES/libgrantleetheme.mo
-share/locale/kk/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ko/LC_MESSAGES/libgrantleetheme.mo
-share/locale/lt/LC_MESSAGES/libgrantleetheme.mo
-share/locale/nb/LC_MESSAGES/libgrantleetheme.mo
-share/locale/nds/LC_MESSAGES/libgrantleetheme.mo
-share/locale/nl/LC_MESSAGES/libgrantleetheme.mo
-share/locale/nn/LC_MESSAGES/libgrantleetheme.mo
-share/locale/pl/LC_MESSAGES/libgrantleetheme.mo
-share/locale/pt/LC_MESSAGES/libgrantleetheme.mo
-share/locale/pt_BR/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ro/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ru/LC_MESSAGES/libgrantleetheme.mo
-share/locale/sk/LC_MESSAGES/libgrantleetheme.mo
-share/locale/sl/LC_MESSAGES/libgrantleetheme.mo
-share/locale/sr/LC_MESSAGES/libgrantleetheme.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libgrantleetheme.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libgrantleetheme.mo
-share/locale/sr@latin/LC_MESSAGES/libgrantleetheme.mo
-share/locale/sv/LC_MESSAGES/libgrantleetheme.mo
-share/locale/tr/LC_MESSAGES/libgrantleetheme.mo
-share/locale/ug/LC_MESSAGES/libgrantleetheme.mo
-share/locale/uk/LC_MESSAGES/libgrantleetheme.mo
-share/locale/zh_CN/LC_MESSAGES/libgrantleetheme.mo
-share/locale/zh_TW/LC_MESSAGES/libgrantleetheme.mo
-share/qlogging-categories5/grantleetheme.categories
-share/qlogging-categories5/grantleetheme.renamecategories
+include/KPim6/GrantleeTheme/GrantleeTheme/GenericFormatter
+include/KPim6/GrantleeTheme/GrantleeTheme/GrantleeKi18nLocalizer
+include/KPim6/GrantleeTheme/GrantleeTheme/GrantleeTheme
+include/KPim6/GrantleeTheme/GrantleeTheme/GrantleeThemeEngine
+include/KPim6/GrantleeTheme/GrantleeTheme/GrantleeThemeManager
+include/KPim6/GrantleeTheme/GrantleeTheme/QtResourceTemplateLoader
+include/KPim6/GrantleeTheme/grantleetheme/GenericFormatter
+include/KPim6/GrantleeTheme/grantleetheme/GrantleeKi18nLocalizer
+include/KPim6/GrantleeTheme/grantleetheme/GrantleeTheme
+include/KPim6/GrantleeTheme/grantleetheme/GrantleeThemeEngine
+include/KPim6/GrantleeTheme/grantleetheme/GrantleeThemeManager
+include/KPim6/GrantleeTheme/grantleetheme/QtResourceTemplateLoader
+include/KPim6/GrantleeTheme/grantleetheme/genericformatter.h
+include/KPim6/GrantleeTheme/grantleetheme/grantleeki18nlocalizer.h
+include/KPim6/GrantleeTheme/grantleetheme/grantleetheme.h
+include/KPim6/GrantleeTheme/grantleetheme/grantleetheme_export.h
+include/KPim6/GrantleeTheme/grantleetheme/grantleethemeengine.h
+include/KPim6/GrantleeTheme/grantleetheme/grantleethememanager.h
+include/KPim6/GrantleeTheme/grantleetheme/qtresourcetemplateloader.h
+include/KPim6/GrantleeTheme/grantleetheme_version.h
+lib/cmake/KPim6GrantleeTheme/KPim6GrantleeThemeConfig.cmake
+lib/cmake/KPim6GrantleeTheme/KPim6GrantleeThemeConfigVersion.cmake
+lib/cmake/KPim6GrantleeTheme/KPim6GrantleeThemeTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6GrantleeTheme/KPim6GrantleeThemeTargets.cmake
+lib/libKPim6GrantleeTheme.so
+lib/libKPim6GrantleeTheme.so.6
+lib/libKPim6GrantleeTheme.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/kf6/ktexttemplate/kde_grantlee_plugin.so
+share/locale/ar/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ast/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/bg/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/bs/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ca/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ca@valencia/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/cs/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/da/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/de/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/el/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/en_GB/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/eo/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/es/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/et/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/eu/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/fi/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/fr/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/gl/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/he/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/hi/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/hu/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ia/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/it/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ja/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ka/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/kk/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ko/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/lt/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/lv/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/nb/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/nds/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/nl/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/nn/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/pl/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/pt/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/pt_BR/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ro/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ru/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/sa/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/sk/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/sl/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/sr/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/sr@latin/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/sv/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ta/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/tr/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/ug/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/uk/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/zh_CN/LC_MESSAGES/libgrantleetheme6.mo
+share/locale/zh_TW/LC_MESSAGES/libgrantleetheme6.mo
+share/qlogging-categories6/grantleetheme.categories
+share/qlogging-categories6/grantleetheme.renamecategories
diff --git a/deskutils/itinerary/Makefile b/deskutils/itinerary/Makefile
index 163005c5dd66..25c3cefc5200 100644
--- a/deskutils/itinerary/Makefile
+++ b/deskutils/itinerary/Makefile
@@ -6,19 +6,18 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Digital travel assistant for KDE
 WWW=		https://apps.kde.org/en/itinerary
 
-BUILD_DEPENDS=	kirigami-addons-qt5>=0:x11-toolkits/kirigami-addons-qt5
-RUN_DEPENDS=	kirigami-addons-qt5>=0:x11-toolkits/kirigami-addons-qt5
+LIB_DEPENDS=	libKOSM.so:astro/kosmindoormap \
+		libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	calendarcore completion config contacts coreaddons crash \
-		dbusaddons holidays i18n jobwidgets kio kitinerary kosm kpkpass \
-		kpublictransport mime notifications qqc2-desktop-style service \
-		solid widgetsaddons windowsystem \
+		dbusaddons filemetadata holidays i18n jobwidgets kio \
+		kirigami-addons kitinerary kpublictransport mime notifications \
+		qqc2-desktop-style service solid unitconversion widgetsaddons \
+		windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui location network quick3d \
-		quickcontrols2 testlib widgets \
-		buildtools:build qmake:build
+USE_QT=		base positioning
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/deskutils/itinerary/distinfo b/deskutils/itinerary/distinfo
index f2317c9e96c3..a813b46a193e 100644
--- a/deskutils/itinerary/distinfo
+++ b/deskutils/itinerary/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889430
-SHA256 (KDE/release-service/23.08.5/itinerary-23.08.5.tar.xz) = 42e38c9b0e147eb5223212470055c7dd3283ae7052c8537b565435a2889927a7
-SIZE (KDE/release-service/23.08.5/itinerary-23.08.5.tar.xz) = 640096
+TIMESTAMP = 1734460043
+SHA256 (KDE/release-service/24.12.0/itinerary-24.12.0.tar.xz) = 76bb36a2358a0333d6c16a79789a47e45b5edc566078a9c8918b7f897e052e8c
+SIZE (KDE/release-service/24.12.0/itinerary-24.12.0.tar.xz) = 767676
diff --git a/deskutils/itinerary/pkg-plist b/deskutils/itinerary/pkg-plist
index 8bb794183ecf..f0ead7c9f793 100644
--- a/deskutils/itinerary/pkg-plist
+++ b/deskutils/itinerary/pkg-plist
@@ -1,23 +1,28 @@
 bin/itinerary
 lib/libSolidExtras.so
-%%QT_PLUGINDIR%%/kf5/thumbcreator/itinerarythumbnail.so
+%%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_itineraryextractor.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/itinerarythumbnail.so
 %%QT_QMLDIR%%/org/kde/solidextras/libsolidextrasqmlplugin.so
 %%QT_QMLDIR%%/org/kde/solidextras/qmldir
 share/applications/org.kde.itinerary.desktop
 share/icons/hicolor/scalable/apps/org.kde.itinerary.svg
-share/knotifications5/itinerary.notifyrc
+share/knotifications6/itinerary.notifyrc
 share/locale/ar/LC_MESSAGES/kde-itinerary.mo
+share/locale/ast/LC_MESSAGES/kde-itinerary.mo
 share/locale/ca/LC_MESSAGES/kde-itinerary.mo
 share/locale/ca@valencia/LC_MESSAGES/kde-itinerary.mo
 share/locale/cs/LC_MESSAGES/kde-itinerary.mo
 share/locale/de/LC_MESSAGES/kde-itinerary.mo
 share/locale/en_GB/LC_MESSAGES/kde-itinerary.mo
+share/locale/eo/LC_MESSAGES/kde-itinerary.mo
 share/locale/es/LC_MESSAGES/kde-itinerary.mo
 share/locale/et/LC_MESSAGES/kde-itinerary.mo
 share/locale/eu/LC_MESSAGES/kde-itinerary.mo
 share/locale/fi/LC_MESSAGES/kde-itinerary.mo
 share/locale/fr/LC_MESSAGES/kde-itinerary.mo
 share/locale/gl/LC_MESSAGES/kde-itinerary.mo
+share/locale/he/LC_MESSAGES/kde-itinerary.mo
+share/locale/hu/LC_MESSAGES/kde-itinerary.mo
 share/locale/ia/LC_MESSAGES/kde-itinerary.mo
 share/locale/it/LC_MESSAGES/kde-itinerary.mo
 share/locale/ja/LC_MESSAGES/kde-itinerary.mo
@@ -37,4 +42,4 @@ share/locale/uk/LC_MESSAGES/kde-itinerary.mo
 share/locale/zh_CN/LC_MESSAGES/kde-itinerary.mo
 share/locale/zh_TW/LC_MESSAGES/kde-itinerary.mo
 share/metainfo/org.kde.itinerary.appdata.xml
-share/qlogging-categories5/org_kde_itinerary.categories
+share/qlogging-categories6/org_kde_itinerary.categories
diff --git a/deskutils/kaddressbook/Makefile b/deskutils/kaddressbook/Makefile
index 7691d5e10f23..e64a804a4386 100644
--- a/deskutils/kaddressbook/Makefile
+++ b/deskutils/kaddressbook/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kaddressbook
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,20 +10,20 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib desktop-file-utils gettext grantlee:5 kde:5 \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib desktop-file-utils gettext kde:6 qt:6 \
+		tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		i18n iconthemes itemmodels jobwidgets kcmutils kio parts pimtextedit \
-		prison service solid sonnet textwidgets widgetsaddons windowsystem xmlgui \
+		i18n iconthemes itemmodels jobwidgets kcmutils kio parts \
+		pimtextedit prison service solid sonnet textwidgets \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicontacts akonadisearch contacts grantleetheme \
 		imap kontactinterface libkdepim mime pimcommon \
-		kdepim-runtime5:run
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+		kdepim-runtime:run
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/kaddressbook/distinfo b/deskutils/kaddressbook/distinfo
index 19f685712ec2..1b4edcc06d7d 100644
--- a/deskutils/kaddressbook/distinfo
+++ b/deskutils/kaddressbook/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889442
-SHA256 (KDE/release-service/23.08.5/kaddressbook-23.08.5.tar.xz) = a8417ee3dd57bd33950b56b10c9048e74510ff29c42f3b4f8e4529ccf49a8b22
-SIZE (KDE/release-service/23.08.5/kaddressbook-23.08.5.tar.xz) = 3458708
+TIMESTAMP = 1734460045
+SHA256 (KDE/release-service/24.12.0/kaddressbook-24.12.0.tar.xz) = 44de7575a593e47c37d236bb8bcee4806c859b2a53a34a44f354d620760f9a5c
+SIZE (KDE/release-service/24.12.0/kaddressbook-24.12.0.tar.xz) = 3429604
